Bug 64009 - xsane bombs during "save"
xsane bombs during "save"
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: xsane (Show other bugs)
7.1
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-23 14:12 EDT by Robert M. Riches Jr.
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-14 10:38:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert M. Riches Jr. 2002-04-23 14:12:14 EDT
Description of Problem:
    Xsane in "save" mode issues a cryptic error messages and refuses to scan to
a file:

        Error during save: Could not create secure file (may be a link does
exist): (null)

Version-Release number of selected component (if applicable):
    xsane-0.82-3.1

How Reproducible:
    100%, in lineart and color modes (other modes not tested)

Steps to Reproduce:
1.  invoke xsane
2.  select the HP scanner (rather than V4L)
3.  position the bogus window
4.  position the command window
5.  select "Save" mode
6.  click on the "Start" button
7.  watch the "Error during save..." box appear

Actual Results:
    An error box appears:

        Error during save: Could not create secure file (may be a link does
exist): (null)

    At the least, the error message should be less cryptic, even if it is an
operator
    error situation.

Expected Results:
    Xsane should continue to scan.

Additional Information:
    I have successfully scanned to a file, using "Save" mode, in the past.  I'm
fairly
    certain some of that past successful experience was with the present version
    of xsane, but I might be mistaken on that.  The scanner is an HP Scanjet
6300C
    over USB, using a five-port PCI USB adapter card of unknown make.  Other USB
    functions appear to be fine, including printing on two different printers. 
XSane can
    successfully copy using "Copy" mode, but it has the same error problem when
    used from the Gimp's acquire menu.
Comment 1 Robert M. Riches Jr. 2002-04-23 14:20:10 EDT
A workaround has been found: "rm -r ~/.sane", followed by re-reading and
accepting the GPL.
Comment 2 Tim Waugh 2002-06-14 10:59:39 EDT
I haven't been able to reproduce this.

Note You need to log in before you can comment on or make changes to this bug.